<?php

declare(strict_types=1);

use Phinx\Migration\AbstractMigration;

final class CreatePersonas extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * https://book.cakephp.org/phinx/0/en/migrations.html#the-change-method
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change(): void
    {
        $this->table('personas', ['id' => false, 'primary_key' => ['rut', 'digito']])
            ->addColumn('rut', 'integer', ['identity' => true, 'signed' => false, 'null' => false])
            ->addColumn('digito', 'string', ['limit' => 1, 'null' => false])
            ->addColumn('nombres', 'string', ['limit' => 255, 'null' => false])
            ->addColumn('apellido_paterno', 'string', ['limit' => 255, 'null' => false])
            ->addColumn('apellido_materno', 'string', ['limit' => 255, 'null' => false])
            ->create();
    }
}
